@charset "utf-8";

/*
關於CSS設定說明
CSS屬性是會繼承的，而且還是由上往下繼承。
同樣元素設定16px 後 12px 再 15px 最後會以最後設定的15px為準
但是有兩種情況除外:
1.絕對路徑命名. 如: .xx .yy .zz p {設定值;}
2.important.  如: .xx p {設定值 !important;}

CSS3選取器語法 :nth-child(n) 

*/
/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/*上方選單解除滑動固定
.header_area.sticky { position:relative;}
*/

/*上方選單右邊設定 臉書/LINE/電話/信箱
.tp_links a:before {寬高大小設定}
.tp_links a.me_tp_fb {}
.tp_links a.me_tp_fb:before {背景換圖/建議.SVG}
.tp_links a.me_tp_line {}
.tp_links a.me_tp_line:before {背景換圖/建議.SVG}
.tp_links a.me_tp_call {}
.tp_links a.me_tp_call:before {背景換圖/建議.SVG}
.tp_links a.me_tp_mail {}
.tp_links a.me_tp_mail:before {背景換圖/建議.SVG}
*/
.path { display: none;}
/*#content {background-image: url(https://pic03.eapple.com.tw/);
 background-attachment: scroll;
    background-repeat: no-repeat;
    background-size: cover;}*/

.contact_editbox {  margin: auto;  padding: 0px;}
/*HEADER--------------------*/

.pageIndex .header_area{
    position: fixed;
    width: 100%;
    background: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(12px) saturate(120%);
    -webkit-backdrop-filter: blur(12px) saturate(120%);
    padding: 5px;
    border-bottom: 1px solid rgba(255,255,255,0.3);
}
.pageIndex .header_area.sticky{  background: #Fff;}
.header_area{ position: fixed;  background: #Fff; padding: 5px;}


.nav-header { max-width: 350px;}
.navigation {
    width: 100%;
    position: relative;
    padding: 0;
    display: grid;
    grid-template-columns: 350px 1fr;
    grid-gap: 0 20px;
}

@media screen and (max-width: 1024px) {
    .pageIndex .header_area{ 
         background: #ffff;}
    .header_area,
    .pageIndex .header_area{ backdrop-filter: none; }
    .navigation {grid-template-columns: 1fr; }
    .nav-header { max-width: 100%;}
    .nav-brand img { max-width: 60%;}
}
.shop_search_btn {background: #0B3465;}

/*HEADER選單----------------*/
.tp_links{display: none;}
.stellarnav > ul > li > a{ color: #0B3465;    margin: 0 10px;}
.stellarnav > ul > li > a{
color: #0B3465;
font-weight: bolder;}
.pageIndex .header_area.sticky .stellarnav>ul>li>a{ color: #0B3465; text-shadow:none;}
.stellarnav li.has-sub > a:after {
    content: '';
    margin-left: 10px;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 6px solid #006CB7;
    display: inline-block;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
}

.stellarnav > ul > li > a::before {
    position: absolute;
    content: "";
    width: 0%;
    height: 1px;
    background: #006CB7;
    bottom: 0px;
    left: 50%;
    transform: translate(-50%, 0px);
    transition: .5s;
}
.stellarnav > ul > li:hover > a::before {width: 100%;}

.stellarnav > ul > li:hover > a{ color: #006CB7; transition: 0.3s;}

/*第二層*/
.stellarnav li li:hover > a, .stellarnav li li.has-sub:hover > a{
    color: #0B3465;
    padding-left: 11px;
    background: #fff;
    transition: 0.3s;
}

ul.album_classes li:first-child{display: none;}

/*選單最大寬度--------------*/
.main_header_area .container { max-width: 80%; }

@media screen and (max-width: 768px) {
    .main_header_area .container { max-width: 100%; }
}


/*LOGO----------------------*/
.pageIndex .nav-brand{ max-width: 100%;}
.header_area.sticky .nav-brand{ max-width: 90%; filter: none;}
.nav-brand{max-width: 90%;}

@media screen and (max-width: 1024px) {
    .pageIndex .header_area.sticky {backdrop-filter: none;}

    .header_area.sticky {backdrop-filter: none;}

    .pageIndex .nav-brand{filter: none;}

    .nav-brand{  position: relative;  top: 7px;  }
    .header_area.sticky .nav-brand {max-width: 100%;}
}

@media screen and (max-width: 430px) {
    .nav-brand {
    display: block;
    max-width: 100%;
    margin: 0 auto;
}
    .nav-brand img {
        max-width: 70%;
    }


}
/*大圖----------------------*/
#content_main { margin: 0; }
.bannerindex { position: relative;}

.swiper-banner {
    position: static;
    margin: 0;
    height: auto;
}
.swiper-slide img { height: auto; }



/* ====== 產品內頁關閉 slogan ====== */
.product_info_page .swiper-slide::after {
    display: none !important;
}

.other_select_page .promotion_title {  display: none;}
.other_select_page .other_promotion {display: none;}
.other_select_page .page { display: none;}


/*電腦LOGO
.nav-brand {}
*/

/*手機LOGO
.nav-brand-m {}
*/

/* 商品下拉超過30個變大 */
.stellarnav.desktop li.bigMenu>ul{display: grid; grid-template-columns: repeat(auto-fill, minmax(220px, 1fr)); left: 0; width: 100%; position: fixed; padding: 20px;}
.stellarnav.desktop li.bigMenu ul ul{top: 100%; left: 0; width: 100%; background: #efefef; height: auto; max-height: 300px; overflow: auto;}
.stellarnav.desktop li.bigMenu ul ul li{margin: 0;} 
.stellarnav.hasBigMenu li.bigMenu li.has-sub > a:after{border-left: 6px solid transparent; border-bottom:unset; border-right: 6px solid transparent; border-top: 6px solid #898989; right: 5px;}
/* 主分類超過30個但次分類直接顯示 
.stellarnav.desktop li.bigMenu>ul{grid-gap: 10px;}
.stellarnav.desktop li.bigMenu li{border: 0;}
.stellarnav.desktop li.bigMenu>ul>li>a{border: 1px solid #ddd;}
.stellarnav.desktop li.bigMenu ul ul{display: block !important; position: relative; top: 0; background: unset; border: 0;}
.stellarnav.desktop li.bigMenu ul ul li{border: 0;}
 主分類超過30個但次分類直接顯示-結束 */

/* 商品下拉超過30個--結束 */


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*預設購物車版面 產品分類選單在左側 商品內頁詳細介紹下表單更改樣式 by shint at 2025.12.18  */
.product_page .main_part { max-width:1500px;}

.product_page .show_content,
.product_info_page .show_content { display: flex; justify-content: space-between; flex-wrap: wrap; align-items: flex-start; align-content: flex-start; width: 100%;}
ul.page { width: 100%;}

.ProdFilter_Item_Show { width: 100%;}
.Prods_Menulists { width: 100%; padding: 0;}
.Prods_Wrap { width: calc(100% - 270px);}

/* 篩選器-左手邊 / 產品分類-上面
.ProdFilter_ { order: 2;}
.Prods_Menulists { order: 1;}
.Prods_Wrap { order: 3;}
.ProdFilter_ { width: 250px; letter-spacing: 1px;}
.ProdFilter_ li { width: 100%;}
.ProdFilter_ li > a { background: #f3f3f3; border: none; border-bottom: 3px #ddd solid;}
.ProdFilter_ dl { position: static; width: 100%; display: block;}
*/

/* 產品分類-左手邊 / 篩選器-上面 */

.ProdFilter_ { order: 1; margin-bottom: 25px;}
.Prods_Menulists { order: 2;}
.Prods_Wrap { order: 3;}
.Prods_Menulists { width: 250px; letter-spacing: 1px;}
.Prods_Menulists ul {}
.Prods_Menulists > ul > li { width: 100%; flex-wrap: wrap;}
.Prods_Menulists ul ul { position: static; border: none;}
.Prods_Menulists ul li ul li {}
.Prods_Menulists li.has-sub.open > a { background: #f0f0f0;}

.product_info_page .half_box { width: 100%; float: none; padding-right: 0;}
.product_info_page .half_box li.btn_blankTop { margin-top: 50px; justify-content: space-between; display: flex;}
.product_info_page .half_box li.btn_blankTop input { width: calc(50% - 10px); background-image: none; padding: 0; text-align: center;}

@media screen and (max-width: 1200px) {
}
@media screen and (max-width: 1024px) {
.product_main { display: block; width: 100%;}    
.sidebarBtn { display: block; width: 100%;}
}
@media screen and (max-width: 980px) {
}
@media screen and (max-width: 768px) {
/* 篩選器-左手邊 / 產品分類-上面
.Prods_Wrap { width: 100%;}
.ProdFilter_ { width: 100%;}
.ProdFilter_Item_Show { width: calc(100% - 110px);}
.ProdFilter_ { order: 1;}
.Prods_Menulists { order: 2;}
.ProdFilter_ li > a span { color: #333;}
*/

.Prods_Wrap { width: 100%; margin-top: 20px;}
.ProdFilter_ { width: 100%;}
.Prods_Menulists { opacity: 0; display: none;}

}
@media screen and (max-width: 600px) {
}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/* 2025.12.26 中間放大*/
.BannerHome02 .swiper-slide-active img { transform: scale(1);}
.BannerHome02 .swiperBan02 .swiper-slide img { transition: transform 5s ease-out; will-change: transform; transform: scale(1);}
.BannerHome02 .swiperBan02 .swiper-slide-active img { transform: scale(1.06);}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*內頁BANNER 設定*/

.banner {
    font-size: 40px;
    padding: 65px 0;
    text-align: center;
    background: repeat center center #f9f9f9;
    height: 400px;
}
.banner h5 {
    padding-top: 50px;
    color: #fff;
    letter-spacing: 3px;              /* 字距開一些 */
    text-shadow: 0 4px 12px rgba(0,0,0,0.4); /* 文字陰影 */
    position: relative;
}

.banner h5::after{
    content: "";
    display: block;
    width: 40px;
    height: 1px;
    background: #fff;
    margin: 6px auto 12px;
    opacity: 0.6;
}

@media (max-width:768px){

.banner { height: 200px;}

.banner h5{
    font-size: 22px;
    letter-spacing: 2px;
}

.banner h5::before{
    font-size: 12px;
    letter-spacing: 3px;
}

}

.banner.banA {display: none;}
.banner.banB{display: none;}
.banner.banE{ background-image: url(https://pic03.eapple.com.tw/);}
.banner.banE h5::before{
    content: "PROJECTS";
    display: block;
    font-size: 18px;
    letter-spacing: 5px;
    color: #ffffff;
    margin-bottom: 6px;
}

.banner.banC{ display: none;}
.banner.banF { display: none;}
.banner.banblog{ background-image: url(https://pic03.eapple.com.tw/);}
.banner.banblog h5::before{
    content: "NEWS";
    display: block;
    font-size: 18px;
    letter-spacing: 5px;
    color: #ffffff;
    margin-bottom: 6px;
}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/*文章*/
h5.blog_le_t {
    display: flex;
    justify-content: center;
    font-family: "Noto Sans TC", serif;
    font-weight: 400;
}
h5.blog_le_t span {
    display: none;
}



.blog_le .accordion {
    list-style-type: none;
    margin: auto;
    border-radius: 15px;
    border: 1px #ccc solid;
    overflow: hidden;
}

.accordion li .link a {
    letter-spacing: 2px;
    font-weight: 500;
}

.blog_le .accordion > li:hover, .blog_le .accordion > li.on_this_category {
    background: #74856b !important;
}

.submenu li.on_this_category a, .submenu a:hover {
    background: #A1C74B;
    color: #FFF;
}

.subbox_item {

    border-bottom: 1pt solid #c0c0c0;
}

.subbox_item a:before {
    bottom: 0px;
    right: 0px;
    font-size: 14px;
    padding: 10px;
    border-top-left-radius: 15px;
    letter-spacing: 1px;
    background: #74856b;
    transition: all .6s;
    color: #e3e3e3;
    opacity: 1;
}


.subbox_item a:hover:before{
    opacity: 0;
    transition: all .5s;
}

.subbox_item a:after {
    top: 0;
    bottom: -1px;
    border: none;
    transition: all .5s;
    background: linear-gradient(to bottom, #ffffff00, #74856b66);
    transition: all .4s 100ms cubic-bezier(.42,0,.58,1);
}

.subbox_item a:hover:after{
    opacity: 1;
    -webkit-transform: scaleY(1);
    transform: scaleY(1);
}

.blog_back a.article_btn_back {
    background: #74856b;
}



@media screen and (max-width: 768px) {
    h5.blog_le_t {
        padding-bottom: 15px;
        justify-content: flex-start;
    }
    a.news_menu_toggle i {
        color: #c3a88d;
    }

    
    }

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */
/*相本分類全版面 ( 限制最寬2000px
.work_page .main_part { max-width:2000px;}
.work_page .show_content { padding:0; width:100%;}
.work_page .show-list .item { width:33%; display:inline-block; float:none; margin:0; padding:0;}
@media screen and (max-width: 768px) {
.work_page .show-list .item { width:49%;}
}
@media screen and (max-width: 570px) {
.work_page .show-list .item { width:100%;}
}
.work_page .show-list .item a { max-width:100%;}
.work_page .show-list .show_pic { height:auto; line-height:0;}
.work_page .show-list .show_pic img { max-width:100%; max-height:100%;}
.work_page .show-list .show_name { position:absolute; top:50%; right:10%; width:80%; height:auto; line-height:160%; font-size: 20px; color: #FFFFFF !important; border: solid 1px #fff; text-align: center; margin: -20px 0 0 -120px; padding:5px 20px; transition:all ease-in .3s; opacity:0;}
.work_page .show-list .item:hover .show_name {opacity:1;}
*/

/*相簿----------------*/
.show-list .item:hover .show_name{color:var(--SubColor);}
.other_album_choice li{background-color: var(--SubColor);}
.show-list .item:hover a figure img {
    transform: scale(1.1);
    transition: 0.5s;
    top: 0;
    left: 0;
}
.show-list .item a figure img {transition: 0.5s;}
.show-list .show_name {text-align: center;}
.show-list .show_pic{}
.album_info_page .pic-list { 
    -moz-column-count:3; 
    -moz-column-gap:10px; 
    -webkit-column-count:3; 
    -webkit-column-gap:10px; 
    column-count:3; 
    column-gap:10px; 
    width:100%; 
    margin:0 auto; 
}
.album_info_page .pic-list .item { 
    width:100%; 
    -webkit-column-break-inside: avoid; 
    page-break-inside: avoid; 
    break-inside: avoid; 
    padding: 0; 
    margin: 0;
}
.album_info_page .pic-list .show_pic { height:auto; padding:0;}
.other_subalbum li p {margin-top: 10px;}
.other_subalbum li a img{    
    object-fit: cover;
    min-height: 250px;
}
.subalbum-menu h2{display: none;}
.other_album{display: none;}
.other_subalbum li a p{text-align: center;}

@media (max-width: 1440px){
.album_info_page .pic-list{ 
    -moz-column-count:3; 
    -webkit-column-count:3;  
    column-count:3;
    }
}
@media (max-width: 768px) {
    .album_info_page .main_part{padding: 50px 0;}
    .other_album{padding: 0 16px;}
    .other_album:before{width: 0;}
    .album_info_page .pic-list{ 
        -moz-column-count:2; 
        -webkit-column-count:2;  
        column-count:2;
    }
}
@media (max-width: 480px) {
    .album_info_page .pic-list{
        -moz-column-count:1;  
        -webkit-column-count:1; 
        column-count:1;
    }
}
/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*相本列表
.work_info_page .main_part { max-width:2000px;}
.work_info_page .show_content { padding:0; width:100%;}
.work_info_page .subalbum-menu { text-align:center;}
.work_info_page .subalbum-menu h2 { float:none;}
.work_info_page .pic-list .item { margin:0; padding:10px; width:49%; float:none; display:inline-block;}
@media screen and (max-width: 768px) {
.work_info_page .pic-list .item { width:100%;}
}
.work_info_page .pic-list .show_pic { height:auto; line-height:0;}
.work_info_page .pic-list .show_pic img { max-width:100%; max-height:100%;}
.work_info_page .pic-list .item a { max-width:100%; pointer-events: none; cursor: default; } 取消連結被點擊效果
*/

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/*聯絡表單*/

.contact_content .information_left { display: none;}
.contact_content .information_right {
    text-align: center;
    width: 100%;
    padding: 20px 15%;
}
.blank_letter {
    font-family: 'Noto Sans TC';
    font-size: 28px;
    color: #0B3465;
}


.animated-arrow {
    background: #0B3465;
    color: #ffffff;
    border: 1px #0B3465 solid;}

.last .animated-arrow.otherSty {
    color: #23563a;
    background: #fff;
}

@media screen and (max-width: 768px) {
/* 開啟手機板下方按鈕所需設定 */
#bottom_menu {}
.footer.with_shopping_mode { padding:30px 0 70px; }
#to_top { bottom:60px;}
}

@media screen and (max-width: 600px) { 
}

/*FOOTER--------------*/
.box_link a { display: none; }
.footer {
	/*background-image: url(https://pic03.eapple.com.tw/);*/
	overflow: hidden;
    background-size: cover;
	padding: 30px 0 0;
	box-shadow: 1px 1px 15px #0B3465;
}
.footer .center {
    position: relative;
    max-width: 1200px;
}
.footer_info {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    padding: 0px;
    flex-direction: column;
	margin-bottom: 15px;
    grid-gap: 10px;
}
.footer_menu {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 12px 5px;
}
.footer_menu a {
    margin: 0;
    text-align: left;
    padding: 0;
    transition: all 0.3s;
    border: none;
    background: transparent;
    color: #0B3465;
    display: block;
    width: fit-content;
    font-weight: bolder;
}
.footer_menu a:before { content: "·"; }
.footer_menu a:nth-child(1) { display: none; }
.footer_menu a:hover {
	background: transparent;
	color:#006CB7;
}
.copy {
	background: #0B3465;
	color: #fff;
	border:none;
	margin-top: 0px;
	position: relative;
	padding: 15px 0;
}
.copy a{
	color: #fff;
	transition:all 0.3s;
}
.footer_info li { padding: 25px; }
.footer_info ul>li:before {
    font-size: 115%;
    color: #0B3465;
    display: block;
    margin: 0 0 20px;
    border-bottom: 1px solid #0B3465;
    padding-bottom: 10px;
    letter-spacing: 0.2em;
    font-weight: bold;
}
.footer_info ul>li:nth-child(1):before { 
    content: "聯絡我們"; 
    font-family: 'Noto Serif TC';
    font-weight: bolder;
    font-size: 22px;
}
.footer_info ul>li:nth-child(2):before { 
    content: "服務內容"; 
    font-family: 'Noto Serif TC';
    font-weight: bolder;
    font-size: 22px;
}
.footer_info li:nth-child(1) a, .footer_info li:nth-child(1) p {
	color: #0B3465;
	letter-spacing: 0.15em;
}
.footer_info ul {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(min(300px,100%), 1fr));
	gap: 0 20px; 
	letter-spacing: 0.15em;
}
.footer_logo img { width: 100%; }
.footer_logo {
    display: inline-block;
    vertical-align: top;
    max-width: 400px;
    margin: 0 10px;
}


@media screen and (max-width: 768px) { 
.footer_info li { flex-direction: column;} 
.footer_info li+li{margin-top: 0px;}
}

/*手機版選單--------*/
.stellarnav.mobile.active {    z-index: 555;}
.stellarnav.mobile {padding: 10px;}

.stellarnav.mobile.right .close-menu, .stellarnav.mobile.left .close-menu{
	text-align: center;
    font-size: 14px;
    background: #ddd;
    font-weight: 600;
    font-family: "Roboto Condensed", sans-serif;
    letter-spacing: 1px;
	border-bottom: 2px solid #fff;
}

.stellarnav.mobile.left > ul{    background: #fff;}
.stellarnav.mobile > ul > li{border-bottom: 1px #ccc solid;}
.stellarnav.mobile li.open {    background: #f9f5f2;}

@media (max-width: 768px) {
    #bottom_menu{display: none;}
    .stellarnav > ul > li > a::before {display: none;}
    
}

